View all methods

snapshots.settings.branches

List the branches available for configuring Snapshot questions. When branching is disabled, branching_enabled is false and branches is empty.

Facts

Method GET https://api.getdx.com/snapshots.settings.branches
Required scope snapshots:admin

Arguments

Name Type Description
token Token Auth token passed as an HTTP header.

Example request

curl -X GET https://api.getdx.com/snapshots.settings.branches \
  -H 'Authorization: Bearer xxxx-xxxxxxxxx-xxxx'

Example response

{
  "ok": true,
  "branching_enabled": true,
  "branches": [
    {
      "id": "NTIxMDA",
      "name": "Software Engineers",
      "prompt": "Software Engineers",
      "audience": "software_engineers",
      "position": 1,
      "main": true,
      "translations": {}
    }
  ]
}

Errors

not_authed or not_authorized for missing authentication or access. Unsupported arguments return 422 validation_error.